# Bash TV

A simple RTMP streaming TV station in Bash.

### Dependencies

* Bash
* ffmpeg
* sqlite3

### Scripts

#### tv.sh

This script runs the TV station by looping over a collection of files in a directory and playing them randomly until they have all been played one time.


#### encode.sh

This script can be run on a cronjob to detect new video files and re-encode them for playback in the tv station.


#### .env

This configuration file contains the environment variables that are used by the other scripts to operate the streaming station.

#### common.sh

Script containing common helper functions and environment configuration scripts used between the `tv.sh` and `encode.sh` scripts.